package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.BGYPSQMapper;
import com.sa.ibiz.demo.demo.domain.BGYPSQ;
import com.sa.ibiz.demo.demo.service.BGYPSQService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.BGYPSQSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[BGYPSQ] 服务对象接口实现
 */
@Service
public class BGYPSQServiceImpl extends ServiceImplBase<BGYPSQMapper, BGYPSQ> implements BGYPSQService{


    @Resource
    private BGYPSQMapper bgypsqMapper;


    @Override
    public boolean create(BGYPSQ et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(BGYPSQ et){
        this.beforeUpdate(et);
		this.bgypsqMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(BGYPSQ et){
		return et.getBgypsqid();  
    }

    @Override
    public boolean getDraft(BGYPSQ et)  {
            return true;
    }

	public List<BGYPSQ> listDefault(BGYPSQSearchFilter filter) {
		return bgypsqMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<BGYPSQ> searchDefault(BGYPSQSearchFilter filter) {
		return bgypsqMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return bgypsqMapper.selectRow(sql);
    }

 }